-- 基础信息
base_info = {
	group_id = 247005004
}

-- DEFS_MISCS
local GroupId = 247005004
local point_id_list = {}
local MainGroupID = 247005001
local RegionID = 4043

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 4043, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 0.000, y = 0.000, z = 80.000 } }
}

-- 触发器
triggers = {
	{ config_id = 1004043, name = "ENTER_REGION_4043", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 4001, pos = { x = -0.050, y = -0.011, z = 93.377 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4002, pos = { x = -3.046, y = -0.011, z = 92.675 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4003, pos = { x = 3.177, y = -0.011, z = 92.791 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4004, pos = { x = -6.957, y = -0.011, z = 91.467 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4005, pos = { x = 7.115, y = -0.011, z = 91.020 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4006, pos = { x = -9.404, y = -0.011, z = 88.968 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4007, pos = { x = 10.350, y = -0.011, z = 88.985 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 4008, pos = { x = -10.216, y = -0.011, z = 86.433 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 4009, pos = { x = 10.464, y = -0.011, z = 86.084 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 4010, pos = { x = -10.266, y = -0.011, z = 83.338 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 4011, pos = { x = 0.019, y = -0.011, z = 92.064 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 4012, pos = { x = -4.876, y = -0.011, z = 90.098 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 4013, pos = { x = 5.073, y = -0.011, z = 90.272 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 4014, pos = { x = -8.277, y = -0.011, z = 87.001 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 4015, pos = { x = 9.260, y = -0.011, z = 85.980 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 4016, pos = { x = -7.828, y = -0.011, z = 81.345 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 4017, pos = { x = 8.671, y = -0.011, z = 80.065 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 4018, pos = { x = -4.820, y = -0.011, z = 77.533 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 4019, pos = { x = 5.251, y = -0.011, z = 76.724 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 4020, pos = { x = 0.011, y = -0.011, z = 74.669 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 4021, pos = { x = -9.996, y = -0.011, z = 92.406 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 4022, pos = { x = 10.071, y = -0.011, z = 92.406 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 4023, pos = { x = -9.996, y = -0.011, z = 73.381 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 4024, pos = { x = 10.071, y = -0.011, z = 73.381 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 4025, pos = { x = -8.262, y = -0.011, z = 92.406 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 4026, pos = { x = 11.805, y = -0.011, z = 92.406 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 4027, pos = { x = -8.262, y = -0.011, z = 73.381 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 4028, pos = { x = 11.805, y = -0.011, z = 73.381 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 4029, pos = { x = -12.678, y = -0.011, z = 92.406 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 4030, pos = { x = 7.389, y = -0.011, z = 92.406 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 4031, pos = { x = -12.678, y = -0.011, z = 73.381 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 4032, pos = { x = 7.389, y = -0.011, z = 73.381 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 4033, pos = { x = -1.176, y = -0.011, z = 86.416 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4034, pos = { x = 1.056, y = -0.011, z = 86.416 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4035, pos = { x = -3.089, y = -0.011, z = 86.416 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4036, pos = { x = 3.103, y = -0.011, z = 86.416 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4037, pos = { x = -4.961, y = -0.011, z = 86.416 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4038, pos = { x = 4.941, y = -0.011, z = 86.416 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4039, pos = { x = -3.206, y = -0.011, z = 84.044 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4040, pos = { x = 2.840, y = -0.011, z = 84.044 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4041, pos = { x = 1.056, y = -0.011, z = 84.044 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4042, pos = { x = -1.176, y = -0.011, z = 84.044 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 4044, pos = { x = -5.024, y = 0.050, z = 80.135 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 4043 },
		triggers = { "ENTER_REGION_4043" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
